{
"Layouts": [
  {
    "Name": "Cover",
    "Group": "Basic",
    "Description": " aligns your content in the bottom left corner",
    "Classes": "cover-container",
    "LayoutClass": "layout-cover",
    "DynamicPart": "",
    "Dynamic": false,
    "Appearance": "inherit",
    "Example": "Layout: Cover\n      \n# The Cover Layout\n## Level 2 title\n      ",
    "Template": "\n      <div class=\"header\">{@{HEADER}@}</div>\n      <div class=\"layout-cover slide-contents\">\n        <div class=\"element-group\">{@{content}@}</div>\n      </div>\n      <div class=\"footnotes\">{@{footnotes}@}</div>\n      <div class=\"footer\">{@{FOOTER}@}</div>\n      ",
  },
  {
    "Name": "Title",
    "Group": "Basic",
    "Appearance": "inherit",
    "Description": " centers your content in the middle of the screen",
    "Classes": "title-container",
    "LayoutClass": "layout-title",
    "Dynamic": false,
    "Example": "Layout: Title\n      \n# Title\n## Level 2 title\n      \n      ",
    "DynamicPart": "",
    "FixedParts": 1,
    "Template": "\n      <div class=\"header\">{@{HEADER}@}</div>\n      <div class=\"layout-title slide-contents\">\n        <div class=\"element-group\">{@{content}@}</div>\n      </div>\n      <div class=\"footnotes\">{@{footnotes}@}</div>\n      <div class=\"footer\">{@{FOOTER}@}</div>\n      ",
  },
  {
    "Name": "Section",
    "Group": "Basic",
    "Classes": "section-container",
    "LayoutClass": "layout-section",
    "Dynamic": false,
    "Appearance": "dark",
    "Description": " centers your content and aligns it on the left",
    "DynamicPart": "",
    "Example": "Layout: Section\n\n# Title\n## Level 2 title\n\n      ",
    "FixedParts": 1,
    "Template": "\n      <div class=\"header\">{@{HEADER}@}</div>\n      <div class=\"layout-section slide-contents\">\n        <div class=\"element-group\">\n          {@{content}@}\n        </div>\n      </div>\n      <div class=\"footnotes\">{@{footnotes}@}</div>\n      <div class=\"footer\">{@{FOOTER}@}</div>",
  },
  {
    "Name": "Default",
    "Group": "Basic",
    "Classes": "default-container",
    "LayoutClass": "layout-default",
    "Description": " starts in the top left corner",
    "Dynamic": true,
    "Appearance": "inherit",
    "DynamicPart": "<div  class=\"element-group\">{@{content}@}</div>",
    "FixedParts": 0,
    "Example": "\nLayout: Default\n      \n# iA Speaker Typography System\niA Speaker offers 6 different levels of titles and a wide range of inlines styles\n        \n## The following inline styles are supported:  \n- *Italic*  \n- **Bold**   \n- ***Bold Italic***  \n- ~~Strikeout~~\n- ==Highlight==\n\n      ",
    "Template": "\n      <div class=\"header\">{@{HEADER}@}</div>\n      <div class=\"layout-default slide-contents\">\n        {@{dynamic}@}\n      </div>\n      <div class=\"footnotes\">{@{footnotes}@}</div>\n      <div class=\"footer\">{@{FOOTER}@}</div>\n      ",
  },
  {
    "Name": "Split",
    "Group": "Basic",
    "Classes": "v-split-container",
    "LayoutClass": "layout-v-split",
    "Dynamic": false,
    "Description": " takes the first two elements of your slide and puts them side-by-side",
    "DynamicPart": "",
    "Appearance": "inherit",
    "FixedParts": 1,
    "Example": "Layout: split\n\n![]({@{THEME_FOLDER}@}/image2.jpg)\n\n# Right column\nWith some **content**\n\n      ",
    "Template": "\n      <div class=\"header\">{@{HEADER}@}</div>\n      <div class=\"layout-v-split slide-contents\">\n        <div class=\"element-group\">{@{content}@}</div>\n        <div class=\"element-group\">{@{content}@}</div>\n      </div>\n      <div class=\"footnotes\">{@{footnotes}@}</div>\n      <div class=\"footer\">{@{FOOTER}@}</div>",
  },
  {
    "Name": "Grid",
    "Group": "Basic",
    "Classes": "grid-container",
    "LayoutClass": "layout-grid",
    "Dynamic": true,
    "Description": " counts your content elements separated by two returns and creates generates a card layout. Use up to 9 elements.",
    "Appearance": "inherit",
    "DynamicPart": "<div class=\"element-group\">{@{content}@}</div>",
    "FixedParts": 0,
    "Example": "Layout: Grid\n      \n# Title\n\n### 3 cells grid\n\n![]({@{THEME_FOLDER}@}/image2.jpg)\n\n![]({@{THEME_FOLDER}@}/image1.jpg)\n      \n      ",
    "Template": "\n      <div class=\"header\">{@{HEADER}@}</div>\n      <div class=\"layout-grid  {@{HAS_MEDIA_CLASSES}@}  slide-contents grid-items-{@{DYNAMIC_COUNT}@} {@{ADDITIONAL_CLASSES}@}\">\n        {@{dynamic}@}\n      </div>\n      <div class=\"footnotes\">{@{footnotes}@}</div>\n      <div class=\"footer\">{@{FOOTER}@}</div>",
  },
  {
    "Name": "Columns",
    "Group": "Basic",
    "Classes": "columns-container",
    "LayoutClass": "layout-columns",
    "Dynamic": true,
    "Description": " counts your content elements separated by two returns and creates generates a card layout. Use up to 9 elements.",
    "Appearance": "inherit",
    "DynamicPart": "<div class=\"element-group\">{@{content}@}</div>",
    "FixedParts": 0,
    "Example": "Layout: Grid\n      \n# Title\n\n### 3 cells grid\n\n![]({@{THEME_FOLDER}@}/image2.jpg)\n\n![]({@{THEME_FOLDER}@}/image1.jpg)\n      \n      ",
    "Template": "\n      <div class=\"header\">{@{HEADER}@}</div>\n      <div class=\"layout-columns {@{HAS_MEDIA_CLASSES}@} slide-contents columns-items-{@{DYNAMIC_COUNT}@} {@{ADDITIONAL_CLASSES}@}\">\n        {@{dynamic}@}\n      </div>\n      <div class=\"footnotes\">{@{footnotes}@}</div>\n      <div class=\"footer\">{@{FOOTER}@}</div>",
  },
  {
    "Name": "Title-and-Columns",
    "Group": "Basic",
    "Classes": "title-and-columns-container",
    "LayoutClass": "layout-title-and-columns",
    "Dynamic": true,
    "Description": " counts your content elements separated by two returns and creates generates a card layout. Use up to 9 elements.",
    "Appearance": "inherit",
    "DynamicPart": "<div class=\"column-part element-group\">{@{content}@}</div>",
    "FixedParts": 1,
    "Example": "Layout: Grid\n      \n# Title\n\n### 3 cells grid\n\n![]({@{THEME_FOLDER}@}/image2.jpg)\n\n![]({@{THEME_FOLDER}@}/image1.jpg)\n      \n      ",
    "Template": "\n      <div class=\"header\">{@{HEADER}@}</div>\n      <div class=\"layout-title-and-columns slide-contents columns-items-{@{DYNAMIC_COUNT}@} {@{ADDITIONAL_CLASSES}@}\">\n    <div class=\"title-part element-group\">{@{content}@}</div>\n     {@{dynamic}@}\n      </div>\n      <div class=\"footnotes\">{@{footnotes}@}</div>\n      <div class=\"footer\">{@{FOOTER}@}</div>",
  },
  {
    "Name": "Caption",
    "Group": "Basic",
    "Classes": "caption-container",
    "LayoutClass": "",
    "Dynamic": false,
    "Appearance": "inherit",
    "Description": " allows you to arrange text and picture on top of each other.",
    "DynamicPart": "",
    "FixedParts": 1,
    "Example": "Layout: Caption\n      \n![]({@{THEME_FOLDER}@}/image1.jpg)\n\n# Image caption\nWith some **content**\n\n      ",
    "Template": "\n      <div class=\"header\">{@{HEADER}@}</div>\n      <div class=\"{@{DYNAMIC_LAYOUT_NAME}@}  slide-contents\">\n        <div class=\"element-group\">{@{content}@}</div>\n        <div class=\"element-group\">{@{content}@}</div>\n      </div>\n      <div class=\"footnotes\">{@{footnotes}@}</div>\n      <div class=\"footer\">{@{FOOTER}@}</div>",
  },
  {
    "Name": "Image",
    "Group": "Basic",
    "Classes": "full-image-container",
    "LayoutClass": "layout-full-image",
    "Dynamic": false,
    "Description": " makes your image full screen.",
    "Appearance": "inherit",
    "DynamicPart": "",
    "FixedParts": 1,
    "Example": "Layout: Image\n\n# Image caption\nWith some **content**\n\n![]({@{THEME_FOLDER}@}/image4.jpg)\n\n      ",
    "Template": "\n      <div class=\"header\">{@{HEADER}@}</div>\n      <div class=\"layout-full-image slide-contents\">\n        <div class=\"element-group\">{@{content}@}</div>\n        {@{content}@}\n      </div>\n      <div class=\"footnotes\">{@{footnotes}@}</div>\n      <div class=\"footer\">{@{FOOTER}@}</div>",
  },
  {
    "Name": "Caption-Top",
    "Group": "Basic",
    "Classes": "title-image-container",
    "LayoutClass": "layout-title-image",
    "Dynamic": false,
    "DynamicPart": "",
    "FixedParts": 1,
    "Example": "Layout: Caption-Top\n  # Image caption\n  With some **content**\n  ---\n  ![]({@{THEME_FOLDER}@}/image4.jpg)\n        ",
    "Template": "\n        <div class=\"header\">{@{HEADER}@}</div>\n        <div class=\"layout-title-image slide-contents\">\n          <div class=\"element-group\">{@{content}@}</div>\n          {@{content}@}\n        </div>\n        <div class=\"footnotes\">{@{footnotes}@}</div>\n        <div class=\"footer\">{@{FOOTER}@}</div>",
  }
]
}
